Skip to main content
`Ctrl`+`K`

# TaoTermGetSolutionVecType

Get the vector types of the solution vector of a `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetSolutionVecType(TaoTerm term, VecType *solution_type)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- solution_type - the `VecType` for the solution space

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermSetSolutionVecType()`, `TaoTermGetSolutionLayout()`, `TaoTermSetSolutionLayout()`, `TaoTermSetSolutionTemplate()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateSolutionVec()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages